python3

Issue #151 wontfix
Pietro Capriata created an issue
  • With python3.4

python3 setup.py

uname -a

Linux server 4.0.0-200 #1 SMP Mon Apr 13 13:54:58 UTC 2015 armv7l armv7l armv7l GNU/Linux
File "setup.py", line 113
    except IOError, err:
                  ^
SyntaxError: invalid syntax

Comments (10)

  1. Mads Kiilerich

    (also, there is no working dulwich version with python 3 support yet ... but that is not the bottleneck)

  2. EirN

    Do you have any plans to support Python3 in the future? The Python 2 EOL is very soon, only in 2.5 years.

    Most libraries are already migrated and you can maintain a compatible syntax

  3. Mads Kiilerich

    Kallithea will move to Python3 when it supports Mercurial. The referenced wrapper / API will not work for Kallithea's use.

    I don't think it is worth the effort to try to support 2 and 3 at once - we don't have enough development resources for that ... and it will not add much value to users or admins.

    If you want to help, then please help migrating Mercurial. They are fighting some very hard problems with essential functionality missing from Python 3.

  4. Log in to comment